ETS2 – Scania Nextgen Highpipes Upd. 06.12.18 (1.33.x)

Hello the highpipes for next gen are updated to 1.33 they work also on other version the oldest version is 1.30 they work on scania.r_2016 an also scania.s_2016
Supported game versions: ETS2 – (1.33.x)

Author(s): gunther,scs an rjl
ETS2 – Scania Nextgen Highpipes Upd. 06.12.18 (1.33.x) Download File

You may also like...

Leave a Reply

Your email address will not be published. Required fields are marked *